summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJory A. Pratt <anarchy@gentoo.org>2010-07-12 22:19:56 -0500
committerJory A. Pratt <anarchy@gentoo.org>2010-07-12 22:19:56 -0500
commit761fe99fe2161224f93a75d7079f78111c3c7d6e (patch)
tree28170772b00104e3b24520717dd3351766d1219e
parent6f24d1cbd8771f0f0522a237b348f64c1d33cba4 (diff)
downloadopenrc-761fe99fe2161224f93a75d7079f78111c3c7d6e.tar.gz
openrc-761fe99fe2161224f93a75d7079f78111c3c7d6e.tar.bz2
openrc-761fe99fe2161224f93a75d7079f78111c3c7d6e.tar.xz
on_ac_power needs to exit not return bug #322037
-rwxr-xr-xscripts/on_ac_power12
1 files changed, 6 insertions, 6 deletions
diff --git a/scripts/on_ac_power b/scripts/on_ac_power
index 9ef1df4..3655b83 100755
--- a/scripts/on_ac_power
+++ b/scripts/on_ac_power
@@ -6,30 +6,30 @@
if [ -f /proc/acpi/ac_adapter/AC*/state ]; then
cat /proc/acpi/ac_adapter/AC*/state | while read line; do
case "$line" in
- "state:"*"off-line") return 128;;
+ "state:"*"off-line") exit 128;;
esac
done
elif [ -f /sys/class/power_supply/AC*/online ]; then
cat /sys/class/power_supply/AC*/online | while read line; do
- [ "${line}" = 0 ] && return 128
+ [ "${line}" = 0 ] && exit 128
done
elif [ -f /proc/pmu/info ]; then
cat /proc/pmu/info | while read line; do
case "$line" in
- "AC Power"*": 0") return 128;;
+ "AC Power"*": 0") exit 128;;
esac
done
elif type envstat >/dev/null 2>&1; then
# NetBSD has envstat
envstat -d acpiacad0 2>/dev/null | while read line; do
case "$line" in
- "connected:"*"OFF") return 128;;
+ "connected:"*"OFF") exit 128;;
esac
done
elif sysctl -q hw.acpi.acline >/dev/null 2>/dev/null; then
case $(sysctl -n hw.acpi.acline) in
- 0) return 1;;
- *) return 0;;
+ 0) exit 1;;
+ *) exit 0;;
esac
else
exit 255